Subject: Re: [PATCH v2 0/3] Fix behavior of worktree config in submodules

From: Victoria Dye <[email-masked]>
Date: Tue, 13 Jun 2023 15:17:28 -0700

Glen Choo wrote:
> "Victoria Dye via GitGitGadget" <[email-masked]> writes:
> 
>>  * Added a commit to move 'struct repository' out of 'git_config_source',
>>    rather than creating a dummy 'config_source' just to hold a repository
>>    instance.
>>  * Changed the config setting in the new tests from 'feature.experimental'
>>    to 'index.sparse' to tie these changes to their intended use case.
>>  * "super project" -> "superproject"
> 
> Thanks! Discounting the discussions on the side thread (which we've
> decided are mostly out of scope) I think this version is good enough to
> merge as-is.
> 
> In
> 
>   https://lore.kernel.org/git/[email-masked]
> 
> I said that this series is better if we squash in a patch to drop the
> setup code from discover_git_directory(), but on hindsight, I think it
> also makes perfect sense for me to send that as a standalone patch. Let
> me know if you plan to squash it in or not so I'll know whether to send
> it :)

Thanks for the re-review! This series was just merged to 'next', so I think
sending the new patch separately would be the least disruptive option.